/* ===== RESPONSIVE OFFCANVAS-STYLE MENU ===== */
@media (max-width: 991.98px) {
  .navbar-collapse {
    position: fixed;
    top: 0;
    left: -85%;
    width: 85%;
    max-width: 320px;
    height: 100vh;
    background: #1a1a1a;
    padding: 90px 30px 30px;
    transition: left 0.45s ease;
    z-index: 1100;
    display: block !important;
    visibility: visible !important;
  }

  .navbar-collapse.show {
    left: 0;
  }

  .navbar-nav {
    gap: 20px;
  }

  .nav-link {
    color: #fff !important;
    font-size: 18px;
  }

  .nav-link::after {
    background: #f5d98e;
  }

  .logo-text p {
    display: none;
  }
    .hero-slider, .hero-slider .slick-list, .hero-slider .slick-track, .hero-slide {
    height: 500px;
  }
  .hero-caption h2 {
    font-size: 1.8rem;
  }
}


@media (max-width: 575.98px) {
  .whatsapp-float {
    width: 50px;
    height: 50px;
  }
  .top-left{
    width: 100%;
  }
    .top-bar {
    font-size: 12px;
    background: #000;
  }

  .top-left span{
    display: block;
  }
    .top-left{
      display: flex;
      justify-content: space-between;
    }
  .logo-text h1 {
    font-size: 18px;
  }

  .logo-img {
    height: 60px;
  }
  .hero-slider, .hero-slider .slick-list, .hero-slider .slick-track, .hero-slide {
    height: 480px;
  }
  .hero-caption {
    top: 6%;
  }
  .hero-caption h2 {
    font-size: 1.4rem;
  }
  .hero-caption p {
    font-size: 0.8rem;
  }
  .cta-btn {
    padding: 10px 18px;
    font-size: 13px;
  }
  .hero-slider .slick-prev,
  .hero-slider .slick-next,
  .hero-slider .slick-prev:before,
  .hero-slider .slick-next:before {
    width: 35px;
    height: 35px;
    font-size: 13px;
  }
  .hero-slider .slick-prev { left: 10px; }
  .hero-slider .slick-next { right: 10px; }

    .about-section {
    padding: 50px 0;
  }
  .feature-card {
    padding: 18px 14px;
  }
   .services-section {
    padding: 50px 0;
  }
  .service-img-wrap {
    height: 180px;
  }
  .cmn-heading h2{
        font-size: 27px;
  }
  .about-section .col-sm-4 {
      width: 50%;
  }
  .feature-card h6 {
    font-size: 13px;
  }
  .service-card h6 {
    color: #fff;
    font-family: 'Red Hat Display', 'Segoe UI', Arial, sans-serif;
    font-weight: 700;
    font-size: 18px;
  }
  .whyus-item {
    margin-top: 0;
}
}

